CVE-2018-21269

NameCVE-2018-21269
Descriptioncheckpath in OpenRC through 0.42.1 might allow local users to take ownership of arbitrary files because a non-terminal path component can be a symlink.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow
Debian Bugs973245

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openrc (PTS)stretch0.23-1vulnerable
buster0.40.3-1vulnerable
bullseye0.42-1vulnerable
sid0.42-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
openrcsource(unstable)(unfixed)973245

Notes

[buster] - openrc <no-dsa> (Minor issue)
[stretch] - openrc <no-dsa> (Minor issue)
https://github.com/OpenRC/openrc/issues/201
http://michael.orlitzky.com/cves/cve-2018-21269.xhtml

Search for package or bug name: Reporting problems